Closes #4202 - nobody's supporting them - users who want to try TM should use pre-build binaries - devs should be able to install using git clone (or use Vagrant) - validators don't use them (my guess)pull/4244/head
@ -1,39 +0,0 @@ | |||||
#!/usr/bin/env bash | |||||
REPO=github.com/tendermint/tendermint | |||||
# change this to a specific release or branch | |||||
BRANCH=master | |||||
GO_VERSION=1.13 | |||||
sudo apt-get update -y | |||||
# get and unpack golang | |||||
curl -O https://storage.googleapis.com/golang/go$GO_VERSION.linux-armv6l.tar.gz | |||||
tar -xvf go$GO_VERSION.linux-armv6l.tar.gz | |||||
# move go folder and add go binary to path | |||||
sudo mv go /usr/local | |||||
echo "export PATH=\$PATH:/usr/local/go/bin" >> ~/.profile | |||||
# create the go directory, set GOPATH, and put it on PATH | |||||
mkdir go | |||||
echo "export GOPATH=$HOME/go" >> ~/.profile | |||||
echo "export PATH=\$PATH:\$GOPATH/bin" >> ~/.profile | |||||
source ~/.profile | |||||
# get the code and move into repo | |||||
go get $REPO | |||||
cd "$GOPATH/src/$REPO" | |||||
# build & install | |||||
git checkout $BRANCH | |||||
# XXX: uncomment if branch isn't master | |||||
# git fetch origin $BRANCH | |||||
make tools | |||||
make install | |||||
# the binary is located in $GOPATH/bin | |||||
# run `source ~/.profile` or reset your terminal | |||||
# to persist the changes |
@ -1,54 +0,0 @@ | |||||
#!/usr/bin/tcsh | |||||
# XXX: this script is intended to be run from | |||||
# a fresh Digital Ocean droplet with FreeBSD | |||||
# Just run tcsh install_tendermint_bsd.sh | |||||
# upon its completion, you must either reset | |||||
# your terminal or run `source ~/.tcshrc` | |||||
# This assumes your installing it through tcsh as root. | |||||
# Change the relevant lines from tcsh to csh if your | |||||
# installing as a different user, along with changing the | |||||
# gopath. | |||||
# change this to a specific release or branch | |||||
set BRANCH=master | |||||
set REPO=github.com/tendermint/tendermint | |||||
set GO_VERSION=1.13 | |||||
sudo pkg update | |||||
sudo pkg install -y gmake | |||||
sudo pkg install -y git | |||||
# get and unpack golang | |||||
curl -O https://storage.googleapis.com/golang/go$GO_VERSION.freebsd-amd64.tar.gz | |||||
tar -xvf go$GO_VERSION.freebsd-amd64.tar.gz | |||||
# move go folder and add go binary to path | |||||
sudo mv go /usr/local | |||||
set path=($path /usr/local/go/bin) | |||||
# create the go directory, set GOPATH, and put it on PATH | |||||
mkdir go | |||||
echo "setenv GOPATH /root/go" >> ~/.tcshrc | |||||
setenv GOPATH /root/go | |||||
echo "set path=($path $GOPATH/bin)" >> ~/.tcshrc | |||||
source ~/.tcshrc | |||||
# get the code and move into repo | |||||
go get $REPO | |||||
cd "$GOPATH/src/$REPO" | |||||
# build & install master | |||||
git checkout $BRANCH | |||||
gmake tools | |||||
gmake install | |||||
# the binary is located in $GOPATH/bin | |||||
# run `source ~/.profile` or reset your terminal | |||||
# to persist the changes |
@ -1,40 +0,0 @@ | |||||
#!/usr/bin/env bash | |||||
# XXX: this script is intended to be run from | |||||
# an MacOS machine | |||||
# as written, this script will install | |||||
# tendermint core from master branch | |||||
REPO=github.com/tendermint/tendermint | |||||
# change this to a specific release or branch | |||||
BRANCH=master | |||||
if ! [ -x "$(command -v brew)" ]; then | |||||
echo 'Error: brew is not installed, to install brew' >&2 | |||||
echo 'follow the instructions here: https://docs.brew.sh/Installation' >&2 | |||||
exit 1 | |||||
fi | |||||
if ! [ -x "$(command -v go)" ]; then | |||||
echo 'Error: go is not installed, to install go follow' >&2 | |||||
echo 'the instructions here: https://golang.org/doc/install#tarball' >&2 | |||||
echo 'ALSO MAKE SURE TO SETUP YOUR $GOPATH and $GOBIN in your ~/.profile: https://github.com/golang/go/wiki/SettingGOPATH' >&2 | |||||
exit 1 | |||||
fi | |||||
if ! [ -x "$(command -v make)" ]; then | |||||
echo 'Make not installed, installing using brew...' | |||||
brew install make | |||||
fi | |||||
# get the code and move into repo | |||||
go get $REPO | |||||
cd $GOPATH/src/$REPO | |||||
# build & install | |||||
git checkout $BRANCH | |||||
# XXX: uncomment if branch isn't master | |||||
# git fetch origin $BRANCH | |||||
make tools | |||||
make install |
@ -1,48 +0,0 @@ | |||||
#!/usr/bin/env bash | |||||
# XXX: this script is intended to be run from | |||||
# a fresh Digital Ocean droplet with Ubuntu | |||||
# upon its completion, you must either reset | |||||
# your terminal or run `source ~/.profile` | |||||
# as written, this script will install | |||||
# tendermint core from master branch | |||||
REPO=github.com/tendermint/tendermint | |||||
# change this to a specific release or branch | |||||
BRANCH=master | |||||
GO_VERSION=1.13 | |||||
sudo apt-get update -y | |||||
sudo apt-get install -y make | |||||
# get and unpack golang | |||||
curl -O https://storage.googleapis.com/golang/go$GO_VERSION.linux-amd64.tar.gz | |||||
tar -xvf go$GO_VERSION.linux-amd64.tar.gz | |||||
# move go folder and add go binary to path | |||||
sudo mv go /usr/local | |||||
echo "export PATH=\$PATH:/usr/local/go/bin" >> ~/.profile | |||||
# create the go directory, set GOPATH, and put it on PATH | |||||
mkdir go | |||||
echo "export GOPATH=$HOME/go" >> ~/.profile | |||||
echo "export PATH=\$PATH:\$GOPATH/bin" >> ~/.profile | |||||
source ~/.profile | |||||
# get the code and move into repo | |||||
go get $REPO | |||||
cd "$GOPATH/src/$REPO" | |||||
# build & install | |||||
git checkout $BRANCH | |||||
# XXX: uncomment if branch isn't master | |||||
# git fetch origin $BRANCH | |||||
make tools | |||||
make install | |||||
# the binary is located in $GOPATH/bin | |||||
# run `source ~/.profile` or reset your terminal | |||||
# to persist the changes |